%define		__patchlevel		pl00

Name:		xorriso
Version:	1.0.0
Release:	1%{?dist}
Summary:	ISO 9660 image manipulation tool

Group:		Applications/Archiving
License:	GPLv2 and GPL+ and LGPLv2+
URL:		http://scdbackup.sourceforge.net/xorriso_eng.html	
Source0:	http://scdbackup.sourceforge.net/%{name}-%{version}.tar.gz
Source1:	xorriso_servicemenu.desktop
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:	coreutils util-linux-ng kde-filesystem


%description
xorriso is a program which maps file objects from POSIX compliant
filesystems into Rock Ridge enhanced ISO 9660 filesystems and allows
session-wise manipulation of such filesystems. It can load the management
information of existing ISO images and it writes the session results to
optical media or to filesystem objects. Vice versa xorriso is able to 
restore file objects from ISO 9660 filesystems.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -rf %{buildroot}/%{_libdir}/pkgconfig/xorriso.pc
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/kde4/services/ServiceMenus/`basename %{SOURCE1}`
rm -f %{buildroot}%{_infodir}/dir


%clean
rm -rf %{buildroot}


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :


%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info \
    %{_infodir}/dir 2>/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS CONTRIBUTORS COPYING COPYRIGHT README doc 
%{_bindir}/osirrox
%{_bindir}/xorrecord
%{_bindir}/xorriso
%{_bindir}/xorrisofs
%{_mandir}/man1/xorriso.1.gz
%{_datadir}/kde4/services/ServiceMenus/xorriso_servicemenu.desktop
%{_infodir}/%{name}.info.gz


%changelog
* Sat Jan 29 2011 Juha Tuomala <tuju@iki.fi> - 1.0.0-1
- Update to 1.0.0.

* Tue Jun 22 2010 Juha Tuomala <tuju@iki.fi> - 0.5.8-1
- Update to 0.5.8.

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-7.pl00
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 12 2009 Juha Tuomala <tuju@iki.fi> - 0.3.8-6.pl00
- Minor spec edits.

* Sat Jun 12 2009 Juha Tuomala <tuju@iki.fi> - 0.3.8-5.pl00
- Minor spec edits.

* Fri Jun 12 2009 Juha Tuomala <tuju@iki.fi> - 0.3.8-4.pl00
- Fixed license string, minor spec cleanups.

* Fri Jun 12 2009 Juha Tuomala <tuju@iki.fi> - 0.3.8-3.pl00
- Added desktop entry for KDE.

* Fri Jun 12 2009 Juha Tuomala <tuju@iki.fi> - 0.3.8-2.pl00
- Fixed multiple (review #505184).

* Wed Jun 10 2009 Juha Tuomala <tuju@iki.fi> - 0.3.8-1.pl00
- Initial package.
